<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'videogallery',

    /*
     * Modules.
     */
    'modules'   => ['video_gallery'],

    
    'video_gallery'       => [
        'model' => [
            'model'                 => \Litecms\Videogallery\Models\VideoGallery::class,
            'table'                 => 'video_galleries',
            'presenter'             => \Litecms\Videogallery\Repositories\Presenter\VideoGalleryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'description',  'video_id',  'slug',  'status',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'videogallery/video_gallery',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Videogallery',
            'module'    => 'VideoGallery',
        ],

    ],
];
