<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVideoGalleriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: video_galleries
         */
        Schema::create('video_galleries', function ($table) {
            $table->increments('id');
            $table->string('title', 255)->nullable();
            $table->string('description', 255)->nullable();
            $table->string('video_id', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->enum('status', ['show','hide','',''])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('video_galleries');
    }
}
