<?php

namespace Litecms\Videogallery\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VideoGalleryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Videogallery\Models\VideoGallery $video_gallery)
    {
        return [
            'id'                => $video_gallery->getRouteKey(),
            'key'               => [
                'public'    => $video_gallery->getPublicKey(),
                'route'     => $video_gallery->getRouteKey(),
            ], 
            'id'                => $video_gallery->id,
            'title'             => $video_gallery->title,
            'description'       => $video_gallery->description,
            'video_id'          => $video_gallery->video_id,
            'slug'              => $video_gallery->slug,
            'status'            => $video_gallery->status,
            'created_at'        => $video_gallery->created_at,
            'deleted_at'        => $video_gallery->deleted_at,
            'updated_at'        => $video_gallery->updated_at,
            'url'               => [
                'public'    => trans_url('videogallery/'.$video_gallery->getPublicKey()),
                'user'      => guard_url('videogallery/video_gallery/'.$video_gallery->getRouteKey()),
            ], 
            'status'            => trans('app.'.$video_gallery->status),
            'created_at'        => format_date($video_gallery->created_at),
            'updated_at'        => format_date($video_gallery->updated_at),
        ];
    }
}