<?php

namespace Litecms\Videogallery;

use User;

class Videogallery
{
    /**
     * $video_gallery object.
     */
    protected $video_gallery;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Videogallery\Interfaces\VideoGalleryRepositoryInterface $video_gallery)
    {
        $this->video_gallery = $video_gallery;
    }

    /**
     * Returns count of videogallery.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.video_gallery.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->video_gallery->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\VideoGalleryUserCriteria());
        }

        $video_gallery = $this->video_gallery->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('videogallery::' . $view, compact('video_gallery'))->render();
    }
}
